# Uses of Interface
org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider.IMergeViewerItemProvider

Packages that use IMergeViewerItemProvider
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.provider
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization

## Uses of IMergeViewerItemProvider in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.provider

Classes in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.provider that implement IMergeViewerItemProvider
Modifier and Type
Class
Description
`class`
`CompareAccessorMergeViewerItemProvider`
Implementation of `IMergeViewerItemProvider` which extracts the `IMergeViewerItem`s from `ICompareAccessor`s.

## Uses of IMergeViewerItemProvider in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider that return IMergeViewerItemProvider
Modifier and Type
Method
Description
`protected IMergeViewerItemProvider`
DelegatingTreeMergeViewerItemContentProvider.`getMergeViewerItemProvider(Object object)`
Determines the `IMergeViewerItemProvider` for the given `Object`.

## Uses of IMergeViewerItemProvider in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization

Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization that return IMergeViewerItemProvider
Modifier and Type
Method
Description
`IMergeViewerItemProvider`
ContentMergeViewerCustomizationRegistry.`getBestFittingMergeViewerItemProvider(Comparison comparison, Object object)`
Returns the best fitting `IMergeViewerItemProvider`.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization with type arguments of type IMergeViewerItemProvider
Modifier and Type
Method
Description
`void`
ContentMergeViewerCustomizationRegistry.`addCustomization(String className, ContentMergeViewerCustomizationDescriptor<IMergeViewerItemProvider> descriptor)`
Adds the given `ContentMergeViewerCustomizationDescriptor` to this registry, using the given `className` as the identifier.